% definindo o sistema de EDO's
F = @(s,z) Pendulo(s,z);

% condicoes iniciais
x0=0;          % valor inicial de x 
dy = 0.01;     % passo no valor inicial de x'
yi = 1.8;      % valor mnimo de x' inicial
yf = 2.3;        % valor mximo de x' inicial

% parametros de resolucao
t0 = 0;        % tempo inicial
tf = 8;        % tempo final
h = 0.01;      % passo inicial de integracao
Tol = 1e-5;    % erro maximo tolerado

figure;

% aplicando o metodo RKF45
for y = yi:dy:yf
  z0=[x0, y];
  [t,z] = RKF45(t0,tf,h,z0,F,Tol);

% representacao grafica do resultado
  plot(z(:,1),z(:,2))
  hold on

end