% definindo o sistema de EDOs
c=(1+sqrt(5))/2;
F = @(s,z) Exemplo(s,z,c);

% condicoes iniciais
%xi = 1;         % valor inicial minimo de x1
%xf = 3;         % valor inicial maximo de x1
%dx1 = 0.05;     % acrescimo no valor inicial de x1
rho0 = 1;        % valor inicial de rho
theta0 = 0;      % valor inicial de theta
zeta0 = 1;       % valor inicial de zeta
% parametros de resolucao
t0 = 0;         % tempo inicial
tf = 20;        % tempo final
h = 0.01;       % passo inicial de integracao
Tol = 1e-6;     % erro maximo tolerado

% aplicando o metodo RKF45
  
z0=[rho0,theta0,zeta0];     % condio inicial

[t,z] = RKF45(t0,tf,h,z0,F,Tol);

% representacao grafica do resultado

figure
plot(z(:,1),z(:,2))

figure
plot(z(:,1),z(:,3))

figure
plot(z(:,2),z(:,3))

figure
plot3(z)

% convertendo para coordenadas cartesianas

%l=length(z(:,1));

%for i=1:l

%  x(i,1) = z(i,1)*cos(2*pi*z(i,2));
%  x(i,2) = z(i,1)*sin(2*pi*z(i,2));
%  x(i,3) = exp(z(i,3));
  
%end

% representacao grafica do resultado

%figure;
%plot3(x)

%figure
%plot(x(:,1),x(:,2))

%figure 
%plot(x(:,1),x(:,3))

%figure
%plot(x(:,2),x(:,3))
